package de.fhmuenster.masterthesis.generator.testdata;

import java.util.HashMap;

public class TestStart implements IsTeststepWithInput {

	private String name;
	private String processInstanceKey;
	private HashMap<String, Object> variableKeyValues;
	
	public TestStart(String name) {
		this.name = name;
		this.variableKeyValues = new HashMap<>();
	}
	
	@Override
	public String getName() {
		return name;
	}
	
	@Override
	public void setName(String name) {
		this.name = name;
	}
	
	public String getProcessInstanceKey() {
		return processInstanceKey;
	}
	
	public void setProcessInstanceKey(String processInstanceKey) {
		this.processInstanceKey = processInstanceKey;
	}
	
	@Override
	public HashMap<String, Object> getVariableKeyValues() {
		return variableKeyValues;
	}
	
	@Override
	public void setVariableKeyValues(HashMap<String, Object> variableKeyValues) {
		this.variableKeyValues = variableKeyValues;
	}
	
	@Override
	public void addVariableKeyValue(String key, Object value) {
		this.variableKeyValues.put(key, value);
	}
}
